server:
  port: 8010

services:
  author:
    url: http://authors/authors/{id}

spring:
  application:
    name: books
  cloud:
    stream:
      bindings:
        input:
          destination: authors
          group: books
        other:
          destination: other
          group: books
        book:
          destination: books


eureka:
  client:
    service-url:
      defaultZone: http://localhost:8762/eureka
  instance:
    instance-id: ${spring.application.name}-${random.uuid}


management:
  endpoints:
    web:
      exposure:
        include:
          - health
          - info
          - hystrix.stream
feign:
  hystrix:
    enabled: true
logging:
  level:
    org.springframework.retry: DEBUG
